#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%define		plugin	check_rbl
Summary:	Nagios plugin to check if an server is blacklisted in RBL servers
Name:		nagios-plugin-%{plugin}
Version:	1.7.0
Release:	1
License:	GPL v3
Group:		Networking
Source0:	https://github.com/matteocorti/check_rbl/releases/download/v%{version}/%{plugin}-%{version}.tar.gz
# Source0-md5:	aaa250b98b3a40020876d29bdf9b1e45
Source1:	%{plugin}.cfg
URL:		https://github.com/matteocorti/check_rbl/wiki
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.42
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	sed >= 4.0
%if %{with tests}
BuildRequires:	perl-Data-Validate-Domain
BuildRequires:	perl-Data-Validate-IP
BuildRequires:	perl-Monitoring-Plugin
BuildRequires:	perl-Nagios-Plugin >= 0.31
BuildRequires:	perl-Net-DNS
BuildRequires:	perl-Net-IP
BuildRequires:	perl-Readonly
%endif
Requires:	nagios-common
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/nagios/plugins
%define		plugindir	%{_prefix}/lib/nagios/plugins

%description
Nagios plugin to check if an server is blacklisted in RBL servers.

%prep
%setup -q -n %{plugin}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLVENDORSCRIPT=%{plugindir} \
	INSTALLDIRS=vendor

%{__make}
%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_sysconfdir}
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/%{plugin}.cfg

install check_rbl.ini $RPM_BUILD_ROOT%{_sysconfdir}/%{plugin}.ini

%{__rm} $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod
%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/auto/check_rbl/.packlist
%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/check_rbl.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS Changes NEWS README.md INSTALL TODO VERSION
%attr(640,root,nagios) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{plugin}.cfg
%attr(640,root,nagios) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{plugin}.ini
%attr(755,root,root) %{plugindir}/%{plugin}
%{_mandir}/man1/check_rbl.1*
%changelog
* Tue Nov 22 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nagios-plugin-check_rbl.git;a=log;h=master

* Tue Nov 22 2022 Arkadiusz Miśkiewicz <arekm@maven.pl> 3f72efb
- Up to 1.7.0

* Sun Feb 20 2022 Jan Rękorajski <baggins@pld-linux.org> 66ddd40
- up to 1.6.3

* Thu May 27 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> fc06898
- up to 1.6.1

* Thu May 27 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> 5c964f5
- up to 1.6.0

* Thu May 27 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> 2dcc104
- rel 2; use ini from package (which is better maintained than our own list)

* Thu May 27 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> 6804bfc
- up to 1.5.7

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> bfabe27
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Jan 25 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 23f0451
- up to 1.3.8; works now (previous version had broken resolving and reported incorrectly that everything is ok)

* Sun Dec 07 2014 Elan Ruusamäe <glen@delfi.ee> b481f33
- up to 1.3.6

* Thu Dec 04 2014 Elan Ruusamäe <glen@delfi.ee> ec95435
- up to 1.3.5

* Thu Dec 04 2014 Elan Ruusamäe <glen@delfi.ee> 8c30dbe
- up to 1.3.4

* Thu Dec 04 2014 Elan Ruusamäe <glen@delfi.ee> e426833
- 1.3.3, parameter validation

* Thu Dec 04 2014 Elan Ruusamäe <glen@delfi.ee> 1fb33db
- up to 1.3.1, disable embedded Perl

* Thu Dec 04 2014 Elan Ruusamäe <glen@delfi.ee> 2c82628
- up to 1.3.0, adds whitelisting support

* Sun Apr 03 2011 Elan Ruusamäe <glen@pld-linux.org> afac954
- cleanups

* Sun Apr 03 2011 Elan Ruusamäe <glen@pld-linux.org> 1953d4f
- GPL version

* Sun Apr 03 2011 Adam Gołębiowski <adamg@pld-linux.org> eddba0c
- updated to 1.2.2

* Thu Apr 15 2010 Elan Ruusamäe <glen@pld-linux.org> 4012ac6
- fix killing of $VERSION; rel 2

* Fri Apr 09 2010 Elan Ruusamäe <glen@pld-linux.org> b9cbc94
- up to 1.2.0

* Fri Apr 09 2010 Elan Ruusamäe <glen@pld-linux.org> a78df07
- mdns submitted too

